Bug 623193 - cumin does not erase inactive agent
Summary: cumin does not erase inactive agent
Status: CLOSED DUPLICATE of bug 623197
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin   
(Show other bugs)
Version: Development
Hardware: All Linux
high
medium
Target Milestone: 1.3.1
: ---
Assignee: Justin Ross
QA Contact: Jan Sarenik
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 619768
TreeView+ depends on / blocked
 
Reported: 2010-08-11 14:51 UTC by Jan Sarenik
Modified: 2010-09-23 14:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 15:42:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Sarenik 2010-08-11 14:51:02 UTC
When cumin is running and sesame gets restarted, the old instance
is deleted and another one created. But when I shut down cumin
first, then restart sesame, start cumin again, there the old
record stays forever and a new one appears as well.

I expect cumin to be able to remove old stale entries after some
time even if it does not get "agent delete" message first.

How reproducible: 100%

Comment 1 Matthew Farrellee 2010-09-15 15:42:34 UTC
This happens for all agents that do not have a stable id. Recommendation here is that stable id is the agent's responsibility, not cumin's.

Still at issue is what to do when agents go away forever while cumin is not watching (down).

*** This bug has been marked as a duplicate of bug 623197 ***

Comment 2 Matthew Farrellee 2010-09-15 15:57:20 UTC
See Bug 622522

Comment 3 Jan Sarenik 2010-09-23 14:01:39 UTC
The other part (old records staying in the list for long time)
was solved by Bug 595774.


Note You need to log in before you can comment on or make changes to this bug.